#ifndef _SEPATOOLSDLL_H_
#define _SEPATOOLSDLL_H_

#pragma pack(8)

//-------Library name-------------
#define SEPATOOLS_LIB_NAME		"SepaTools.DLL"

//-------Structures
//-------------------------------------------------------
const int XMLConvertStruct_CONST_LEN_BLZ = 8;
const int XMLConvertStruct_CONST_LEN_KONTO = 11;
const int XMLConvertStruct_CONST_LEN_IBAN = 35;
const int XMLConvertStruct_CONST_LEN_BIC = 11;


struct XMLConvertStruct					
{	
	char BLZ[XMLConvertStruct_CONST_LEN_BLZ+1];
	char Konto[XMLConvertStruct_CONST_LEN_KONTO+1];
	char BIC[XMLConvertStruct_CONST_LEN_BIC + 1];
	char IBAN[XMLConvertStruct_CONST_LEN_IBAN + 1];
};

struct XMLBankInfoStruct
{ 
	int Art;	
	char BIC[11+1];
	char BankName[50+1];
	char LandKurz[2+1];
	char Land[20+1];
	char Strasse[27+1];
	char Ort[50+1];
};

struct XMLCreateStruct
{
	char ExportPfad[255+1];
	int Lastschrift;
	char XMLName[35+1];
	char MsgId[35+1];
	char EinreicherName[70+1];
};

struct XMLWriteStruct
{ 
	char PmInfoId[10+1];
	char AusfDatum[8+1];
	char AuftragName[70+1];
	char AuftragBIC[11+1];
	char AuftragIBAN[35+1];
	char AuftragAbwName[70+1];
	char AuftragCI[35+1];
	char AuftragBLZ[8+1];
	char Auftragkonto[11+1];
	char EmpfName[70+1];
	char EmpfBIC[11+1];
	char EmpfIBAN[35+1];
	char EmpfAbwName[70+1];
	char EmpfBLZ[8+1];
	char EmpfKonto[11+1];
	char Purpose[4+1];
	char Betrag[12+1];
	char EndToEndId[10+1];
	char MandatId[35+1];
	char MandatDatum[8+1];
	char SequenceType[4+1];
	int B2B;
	char Zweck1[70+1];
	char Zweck2[70+1];
};

struct XMLCloseStruct
{
	int Anzahl;
	char SummeBetrag[12+1];
};

typedef int (_stdcall *SepaTools_Init) (const char *, const char *, const char *, const char *, int);
typedef int (_stdcall *SepaTools_Free) ();
typedef int (_stdcall *SepaTools_GetBIC) (const char *, char *);
typedef int (_stdcall *SepaTools_ConvertBLZKonto) (struct XMLConvertStruct *);
typedef int (_stdcall *SepaTools_GetBankInfo) (const char *BIC, struct XMLBankInfoStruct *);

typedef int (_stdcall *SepaTools_CreateXML) (struct XMLCreateStruct *);
typedef int (_stdcall *SepaTools_WriteXML) (struct XMLWriteStruct *);
typedef int (_stdcall *SepaTools_CloseXML) (struct XMLCloseStruct *);

#pragma pack()

#endif